Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.opengl.util.glsl.fixedfunc
Class FixedFuncUtil

    java.lang.Object
      com.sun.opengl.util.glsl.fixedfunc.FixedFuncUtil

    public class FixedFuncUtil

extends Object

Tool to pipeline GL2ES2 into a fixed function emulation implementing GL2ES1.

Field Summary
`static String` | `mgl_Color` String name for
`static String` | `mgl_MultiTexCoord` String name for
`static String` | `mgl_Normal` String name for
`static String` | `mgl_Vertex` String name for

Constructor Summary
`FixedFuncUtil()`

Method Summary
`static GL2ES1` | `getFixedFuncImpl(GL gl)`
`static GL2ES1` | `getFixedFuncImpl(GL gl, boolean force)`
`static String` | `getPredefinedArrayIndexName(int glArrayIndex)` Mapping fixed function (client) array indices to GLSL array attribute names.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mgl_Vertex

    public static final String mgl_Vertex

  String name for

  See Also:
    `javax.media.opengl.GL#GL_VERTEX_ARRAY`, Constant Field Values

### mgl_Normal

    public static final String mgl_Normal

  String name for

  See Also:
    `javax.media.opengl.GL#GL_NORMAL_ARRAY`, Constant Field Values

### mgl_Color

    public static final String mgl_Color

  String name for

  See Also:
    `javax.media.opengl.GL#GL_COLOR_ARRAY`, Constant Field Values

### mgl_MultiTexCoord

    public static final String mgl_MultiTexCoord

  String name for

  See Also:
    `javax.media.opengl.GL#GL_TEXTURE_COORD_ARRAY`, Constant Field Values

Constructor Detail

### FixedFuncUtil

    public FixedFuncUtil()

Method Detail

### getFixedFuncImpl

    public static final GL2ES1 getFixedFuncImpl(GL gl,
                                                boolean force)

  Returns:
    If gl is a GL2ES1 and force is false, return the type cast object, otherwise create a fixed function emulation pipeline with the GL2ES2 impl.
  Throws:
    `GLException` - if the GL object is neither GL2ES1 nor GL2ES2

### getFixedFuncImpl

    public static final GL2ES1 getFixedFuncImpl(GL gl)

  Returns:
    If gl is a GL2ES1, return the type cast object, otherwise create a fixed function emulation pipeline with the GL2ES2 impl.
  Throws:
    `GLException` - if the GL object is neither GL2ES1 nor GL2ES2

### getPredefinedArrayIndexName

    public static String getPredefinedArrayIndexName(int glArrayIndex)

  Mapping fixed function (client) array indices to GLSL array attribute names. Useful for uniq mapping of canonical array index names as listed.

  See Also:
    `mgl_Vertex`, `GLPointerFunc.GL_VERTEX_ARRAY`, `mgl_Normal`, `GLPointerFunc.GL_NORMAL_ARRAY`, `mgl_Color`, `GLPointerFunc.GL_COLOR_ARRAY`, `mgl_MultiTexCoord`, `GLPointerFunc.GL_TEXTURE_COORD_ARRAY`, `GLPointerFunc.glEnableClientState(int)`, `GLPointerFunc.glVertexPointer(javax.media.opengl.GLArrayData)`, `GLPointerFunc.glColorPointer(javax.media.opengl.GLArrayData)`, `GLPointerFunc.glNormalPointer(javax.media.opengl.GLArrayData)`, `GLPointerFunc.glTexCoordPointer(javax.media.opengl.GLArrayData)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.